ResolverHelper
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.resolver.util
Class ResolverHelper

    java.lang.Object
      org.apache.ivy.plugins.resolver.util.ResolverHelper

    public final class ResolverHelper

extends java.lang.Object

Method Summary
`static ResolvedResource[]` | `findAll(Repository rep, ModuleRevisionId mrid, java.lang.String pattern, Artifact artifact)`
`static java.lang.String[]` | `listAll(Repository rep, java.lang.String parent)`
`static java.lang.String[]` | `listAll(URLLister lister, java.net.URL root)`
`static java.lang.String[]` | `listTokenValues(Repository rep, java.lang.String pattern, java.lang.String token)`
`static java.lang.String[]` | `listTokenValues(URLLister lister, java.lang.String pattern, java.lang.String token)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### listTokenValues

    public static java.lang.String[] listTokenValues(Repository rep,
                                                     java.lang.String pattern,
                                                     java.lang.String token)

### listAll

    public static java.lang.String[] listAll(Repository rep,
                                             java.lang.String parent)

### findAll

    public static ResolvedResource[] findAll(Repository rep,
                                             ModuleRevisionId mrid,
                                             java.lang.String pattern,
                                             Artifact artifact)

### listTokenValues

    public static java.lang.String[] listTokenValues(URLLister lister,
                                                     java.lang.String pattern,
                                                     java.lang.String token)

### listAll

    public static java.lang.String[] listAll(URLLister lister,
                                             java.net.URL root)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD